## ding 1.7

=== debian/changelog ===
ding (1.7-3) unstable; urgency=low

  * 08_foreseeable: add missing "e" to "foreseeable" (Closes: #685809).
  * 09_seperation: typo: s/seperation/separation/ (Closes: #719823).
  * 10_Aour: typo: s/Aour/Your/ (Closes: #740878).
  * 11_desktop_file: Fixed installation of ding.desktop file. Thanks to
    Oliver Sauder (Closes: #744276).
  * Remove Encoding from desktop file, since UTF-8 is now the default.
  * Add keywords to desctop file.
  * Update to Standards-Version 3.9.5 (no changes).
  * 12_dont_set_locale: The explicit definition of LC_TYPE to de_DE.UTF8
    causes problems if the Linux installation uses another locale setting.
    (Closes: #492458).
  * Optimize dict-de-en Suggests for dict-client and dict-server.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 May 2014 15:00:52 +0200

ding (1.7-2) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix spelling-error-in-copyright (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Thanks to Jari Aalto for providing a patch for the above points.
    (Closes: #668542).
  * Get rid of uuencoded images, they are handled by new 3.0 quilt format
    now.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 12 Jun 2012 18:23:21 +0200

ding (1.7-1) unstable; urgency=low

  * New upstream version 1.7.
    - s/succesful/successful/ (Closes: #596376).
  * Adapt all patches to new version.
  * Remove 08_duplicate_colons, and 09_wronghash, and 10_management.
  * Update debian/*.html documentation from website.
  * Add debian/source/format 1.0.
  * Update to Standards-Version 3.9.1
    - Change versioned Conflicts to Breaks.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 02 Mar 2011 22:28:21 +0100

ding (1.6-2) unstable; urgency=low

  * 09_wronghash: Remove superfluous # from dictionary (Closes: #459351).
  * 10_management: Fix typo in "Management" (Closes: #538050).
  * Add ${misc:Depends} dependency to all packages.
  * Upgrade to Standards-Version 3.8.4 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 11 Jun 2010 16:35:30 +0200

ding (1.6-1) unstable; urgency=low

  * New upstream version 1.6.
  * Adapt all patches to new version.
  * Remove 06_verantwortlich, now incorporated upstream.
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Remove overrides.lintian (no longer necessary)
  * Change doc-base section to "Text".
  * Upgrade to Standards-Version 3.8.3 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 Dec 2009 14:54:01 +0100

ding (1.5-3) unstable; urgency=low

  * Upgrade to Standards-Version 3.7.3:
    - Make "Homepage" a real header in debian/control.
    - Change menu section from Apps/Text to Applications/Text.
  * 08_duplicate_colons.dpatch: Fix duplicate colons in dictionary
    (Closes: #448842).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 23 Dec 2007 19:01:03 +0100

ding (1.5-2) unstable; urgency=low

  * dict-de-en now provides dictd-dictionary (see: #413575).
  * 07_8bit_aspell: Do not replace Umlauts by a" etc. for aspell, but only
    for ispell, because aspell needs 8bit chars (Closes: #359243).
  * Added the plugin files for using the dict formatted dictionaries with
    the OpenDict dictionary program.  For that added files
    debian/dict-de-en.{dirs, links}, english-german-conf.xml,
    german-english-conf.xml and accordingly added the new statements in
    the targets 'install' of the debian/rules.  Thanks to Kęstutis
    Biliūnas <kebil@kaunas.init.lt> for providing these (Closes: #426597).
  * Added the packages dict | opendict | kdict to Suggests.
  * Moved dictd | dict-server to Suggests like other dict-freedict
    packages do (because OpenDict can use these dictionaries without
    dict-server running).
  * Added serpento as another alternative to dictd.  It's already included
    in dict-server, but in Suggests this may be easier to read for users.
  * Removed dependency on debconf.  This was forgotten to do in the
    revision 1.4-3.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Jul 2007 11:20:32 +0200

ding (1.5-1) unstable; urgency=low

  * New upstream version 1.5.
    * This fixes the word "hanggeahbt" (Closes: #408111).
  * Migrate all patches to dpatch mechanism.
  * 06_verantwortliche.dpatch: Fix syntax of "Verantwortliche" in
    dictionary.
  * Add lintian overrides, because /usr/bin/ding isn't a shell script but
    a wish script and lintian complains about that.
  * Add debian/watch file.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 May 2007 18:16:30 +0200

ding (1.4-4) unstable; urgency=low

  * Build-Depends instead of Build-Depends-Indep on debhelper.
  * Upgrade to debhelper v5.
  * Upgrade to Standards-Version 3.7.2 (no changes)

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Jun 2006 23:16:34 +0200

ding (1.4-3) unstable; urgency=low

  * Change menu section from Apps/Tools to Apps/Text (Closes: #344130).
  * Remove recode from build-depens, because it is no longer used.
  * Update FSF address in copyright file.
  * Use dictfmt --utf8 instead of all the old locale hack and build-depend
    on dictfmt >= 1.10.1.
  * Change dictd dependency to dictd (>= 1.10.1), which supports utf8
    without tweeking the dictd configuration.
  * This implies, that there is no need to modify /etc/default/dictd in
    dict-de-en.postinst.
  * This implies that no debconf template is needed any more
    (Closes: Closes: #336073, #340972).
  * Removed build-dependency on po-debconf.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Dec 2005 20:42:21 +0100

ding (1.4-2) unstable; urgency=low

  * Capitalize "Sie" in "Bitte warten sie einen Augenblick!"
    (Closes: #285453, #283787).
  * Change package description to mention "graphical" and "Tk"
    (Closes: #311566).

