=== debian/control ===
Source: ding
Section: text
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: man-db, bsdmainutils, dictfmt (>= 1.10.1), dictzip
Homepage: http://www-user.tu-chemnitz.de/~fri/ding/

Package: ding
Architecture: all
Depends: tk8.4 | wish, ${misc:Depends}
Recommends: trans-de-en (>= 1.4) | translation-dictionary
Breaks: trans-de-en (<< 1.4)
Suggests: agrep, ispell, ingerman, ibritish, dict
Description: Graphical dictionary lookup program for Unix (Tk)
 This is "Ding"
  * a dictionary lookup program for Unix,
  * DIctionary Nice Grep,
  * a Tk based Front-End to [ae]grep, ispell, dict, ...
  * Ding {n} :: thing
 .
 This package needs agrep(1) or egrep(1) as a back end.  agrep is
 preferable, because it supports fault tolerant searching.
 .
 You have to install some translation dictionary word list with a
 word/phrase in two languages in one line with some kind of separator
 between them.  The default configuration of ding uses the
 German-English dictionary which can be found in the trans-de-en
 package, but you can use every other translation word lists with one
 entry per line.

Package: trans-de-en
Architecture: all
Depends: ${misc:Depends}
Provides: translation-dictionary
Suggests: ding
Description: German-English translation dictionary
 A German-English dictionary with ca. 270,000 entries.
 .
 This dictionary was designed for the "ding" dictionary lookup
 program, but may be used by other clients, too.
 .
 The source of the database is available from
 http://dict.tu-chemnitz.de/

Package: dict-de-en
Architecture: all
Depends: ${misc:Depends}
Suggests: dictd | dict-server, dict | dict-client
Breaks: dictd (<< 1.10.1)
Provides: dictd-dictionary
Description: German-English translation dictionary for dictd
 German-English and  English-Deutsch translation dictionary for
 the dictd server.  It contains approximately 270,000 entries.
 .
 The source of the database is available from
 http://dict.tu-chemnitz.de/
