=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2007 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DINGDIR=`pwd`/debian/ding
TRANSDIR=`pwd`/debian/trans-de-en
DICTDIR=`pwd`/debian/dict-de-en

# Include dpatch stuff.


build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir

#       Build dictionaries for dictd daemon
	chmod 755 debian/conv.pl
	./debian/conv.pl < de-en.txt \
	    | dictfmt -j --utf8 \
		-u 'http://dict.tu-chemnitz.de/' \
		-s 'German - English Dictionary 1.7' \
		german-english
	dictzip german-english.dict
	./debian/conv.pl -r < de-en.txt \
	    | dictfmt -j --utf8 \
		-u 'http://dict.tu-chemnitz.de/' \
		-s 'English - German Dictionary 1.7' \
		english-german
	dictzip english-german.dict

	touch build-stamp

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-rm -f *.dz *.index *.dict *.dictfmt

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	sed -e 's#/usr/share/dict/de-en.txt#/usr/share/trans/de-en#' ding \
		> $(DINGDIR)/usr/bin/ding
	chmod 755 $(DINGDIR)/usr/bin/ding

	install -m644 ding.1 $(DINGDIR)/usr/share/man/man1/ding.1
	install -m644 ding.desktop \
		$(DINGDIR)/usr/share/applications/ding.desktop

	install -m644 debian/dbook.xpm \
		$(DINGDIR)/usr/share/pixmaps/dbook.xpm
	install -m644 debian/mini-dbook.xpm \
		$(DINGDIR)/usr/share/pixmaps/mini-dbook.xpm
	install -m644 debian/index.html \
		$(DINGDIR)/usr/share/doc/ding/html/index.html
	install -m644 debian/hilfe.html \
		$(DINGDIR)/usr/share/doc/ding/html/hilfe.html
	install -m644 debian/help.html \
		$(DINGDIR)/usr/share/doc/ding/html/help.html
	install -m644 debian/version.html \
		$(DINGDIR)/usr/share/doc/ding/html/version.html
	install -m644 debian/mac.html \
		$(DINGDIR)/usr/share/doc/ding/html/mac.html
	install -m644 debian/ding.jpg $(DINGDIR)/usr/share/doc/ding/html/
	install -m644 debian/ding-1.gif $(DINGDIR)/usr/share/doc/ding/html/

	man -l -P /bin/cat ding.1 | col -b \
		> $(DINGDIR)/usr/share/doc/ding/html/ding.1.txt

	install -m755 -d $(TRANSDIR)/usr/share/trans
	install -m644 de-en.txt $(TRANSDIR)/usr/share/trans/de-en

	install -m 644 debian/english-german-conf.xml \
		$(DICTDIR)/usr/share/opendict/dictionaries/plain/english-german.dict.dz/conf/config.xml
	install -m 644 debian/german-english-conf.xml \
		$(DICTDIR)/usr/share/opendict/dictionaries/plain/german-english.dict.dz/conf/config.xml


# Build architecture-independent files here.
binary-indep: build-stamp install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_install
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build-stamp install
# We have nothing to do by default.

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install \
	clean1
