## ding 1.8

=== debian/changelog ===
ding (1.8-3) unstable; urgency=medium

  * Optimize text version of man page for reproducibility.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Oct 2015 12:45:12 +0200

ding (1.8-2) unstable; urgency=medium

  * Set LC_ALL=C.UTF-8 when creating text version of man page to make this
    reproducible.
  * Avoid paths in postinst/rm scripts.
  * Remove debian/menu, since a desktop file is present.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 14 Oct 2015 08:34:49 +0200

ding (1.8-1) unstable; urgency=low

  * New upstream version 1.8.
  * Update all patches.
  * Remove 10_Aour (included upstream).
  * Update to Standards-Version 3.9.6 (no changes).
  * Convert debian/copyright to DEP5.
  * 13_Gie0erei: Fix typo: s/Gie0erei/Gießerei/ (Closes: #758540).
  * Depend on tk instead of tk8.4|wish (Closes: #781800).
  * Run dictfmrt --without-time as first step to reproducible builds.
  * Complete rewrite of debian/rules based on dh.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 26 Apr 2015 09:54:55 +0200
