=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: man-db, bsdmainutils, dictfmt (>= 1.10.1), dictzip
 Homepage: http://www-user.tu-chemnitz.de/~fri/ding/
 
 Package: ding
 Architecture: all
-Depends: tk8.4 | wish, ${misc:Depends}
+Depends: tk, ${misc:Depends}
 Recommends: trans-de-en (>= 1.4) | translation-dictionary
 Breaks: trans-de-en (<< 1.4)
 Suggests: agrep, ispell, ingerman, ibritish, dict
