=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2015 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DINGDIR=`pwd`/debian/ding
TRANSDIR=`pwd`/debian/trans-de-en
DICTDIR=`pwd`/debian/dict-de-en

%:
	dh $@

override_dh_auto_build:
#       Build dictionaries for dictd daemon
	chmod 755 debian/conv.pl
	./debian/conv.pl < de-en.txt \
	    | dictfmt -j --utf8 --without-time \
		-u 'http://dict.tu-chemnitz.de/' \
		-s 'German - English Dictionary 1.8' \
		german-english
	dictzip german-english.dict
	./debian/conv.pl -r < de-en.txt \
	    | dictfmt -j --utf8 --without-time \
		-u 'http://dict.tu-chemnitz.de/' \
		-s 'English - German Dictionary 1.8' \
		english-german
	dictzip english-german.dict

override_dh_auto_install:
	sed -e 's#/usr/share/dict/de-en.txt#/usr/share/trans/de-en#' ding \
		> $(DINGDIR)/usr/bin/ding
	chmod 755 $(DINGDIR)/usr/bin/ding

	install -m644 ding.1 $(DINGDIR)/usr/share/man/man1/ding.1
	install -m644 ding.desktop \
		$(DINGDIR)/usr/share/applications/ding.desktop

	install -m644 debian/dbook.xpm \
		$(DINGDIR)/usr/share/pixmaps/dbook.xpm
	install -m644 debian/mini-dbook.xpm \
		$(DINGDIR)/usr/share/pixmaps/mini-dbook.xpm
	install -m644 debian/index.html \
		$(DINGDIR)/usr/share/doc/ding/html/index.html
	install -m644 debian/hilfe.html \
		$(DINGDIR)/usr/share/doc/ding/html/hilfe.html
	install -m644 debian/help.html \
		$(DINGDIR)/usr/share/doc/ding/html/help.html
	install -m644 debian/version.html \
		$(DINGDIR)/usr/share/doc/ding/html/version.html
	install -m644 debian/mac.html \
		$(DINGDIR)/usr/share/doc/ding/html/mac.html
	install -m644 debian/ding.jpg $(DINGDIR)/usr/share/doc/ding/html/
	install -m644 debian/ding-1.gif $(DINGDIR)/usr/share/doc/ding/html/

	env -u LANG LC_ALL=C MANWIDTH=80 man -l -7 -P /bin/cat ding.1 | col -b \
		> $(DINGDIR)/usr/share/doc/ding/html/ding.1.txt

	install -m755 -d $(TRANSDIR)/usr/share/trans
	install -m644 de-en.txt $(TRANSDIR)/usr/share/trans/de-en

	install -m 644 debian/english-german-conf.xml \
		$(DICTDIR)/usr/share/opendict/dictionaries/plain/english-german.dict.dz/conf/config.xml
	install -m 644 debian/german-english-conf.xml \
		$(DICTDIR)/usr/share/opendict/dictionaries/plain/german-english.dict.dz/conf/config.xml

override_dh_clean:
	-rm -f *.dz *.index *.dict *.dictfmt
	dh_clean
