## ding 1.8.1

=== debian/changelog ===
ding (1.8.1-8) unstable; urgency=medium

  * 24_vornehmen: Fix typo in "vornehmen" (Closes: #930688).
  * 11_desktop_file: More optimization of ding.desktop.
  * Upgrade to Standards-Version 4.4.0 (no changes).
  * Add debian/tests/typos to check for known (former) typos in dictionary.
  * 25_management: Fix typo in "management" (missing 'e').

 -- Roland Rosenfeld <roland@debian.org>  Fri, 12 Jul 2019 14:02:53 +0200

ding (1.8.1-7) unstable; urgency=medium

  * Add buildlog to gitlab-ci test pipeline.
  * 23_Verlaengerung: Fix typo in Verlängerungsschnüre (Closes: #920808).
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.
  * Generate xpm icons and a 64x64 icon on build time using imagemagick.
  * d/gitlab-ci.yml stripped down using pipline-jobs.yml

 -- Roland Rosenfeld <roland@debian.org>  Fri, 01 Feb 2019 22:43:30 +0100

ding (1.8.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Roland Rosenfeld ]
  * d/tests: Fix leftover ADTTMP.
  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Upgrade to Standards-Version 4.3.0 (no changes).
  * Update debhelper to v12.
  * 22_Stegreif: Fix typo in Stegreif (Closes: #918335).
  * Change download-URL to https://

 -- Roland Rosenfeld <roland@debian.org>  Sat, 05 Jan 2019 13:08:26 +0100

ding (1.8.1-5) unstable; urgency=medium

  * Remove shellcheck warnings from test scripts.
  * Remove dict-de-en.preinst, which is no longer used.
  * Upgrade to Standards-Version 4.2.1 (Declare Rules-Requires-Root: no).
  * Avoid duplicate trap execution in debian/tests.  Thanks to Balint Reczey.
  * 21_Primarschule: Fix typo in Primarschule (Closes: #907874).
  * Switch from http:// to https:// on several pages.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 03 Sep 2018 19:09:33 +0200

ding (1.8.1-4) unstable; urgency=medium

  * Add Vcs-headers pointing to salsa.debian.org.
  * 20_tre-agrep: Add support for tre-agrep as an agrep alternative.
  * Upgrade to Standards-Version 4.1.4 (no changes).
  * Add debian testsuite.
  * Set MAN_DISABLE_SECCOMP=1 for man page conversion.
  * Automatically update upstream version in dict dictionary title.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 29 Apr 2018 22:40:03 +0200

ding (1.8.1-3) unstable; urgency=medium

  * Update to Standards-Version 4.1.3 (no changes).
  * Update debhelper to v11.
  * Use en_US/de_DE as dictionaries for hunspell/aspell instead of
    british/ngerman and prefer aspell over ispell (Closes: #889758).
  * Suggests hunspell dictionaries instead of ispell.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 08 Feb 2018 10:51:58 +0100

ding (1.8.1-2) unstable; urgency=medium

  * 18_changeable: Fix typo in changeable (Closes: #882911).
  * Update to Standards-Version 4.1.2
    - change copyrights-format to https.
  * Tag ding and trans-de-en Multi-Arch: foreign.
  * Make DEP3 comments more gbp pq compatible.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Dec 2017 14:20:20 +0100

ding (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1 (Closes: #810935).
  * Update all patches to new version.
  * Remove 05_manpage, 08_foreseeable, 15_Korollar, which are included upstream.
  * Update html documentation.
  * Change debian/watch from ftp:// to http://

 -- Roland Rosenfeld <roland@debian.org>  Fri, 09 Sep 2016 10:12:54 +0200

ding (1.8-6) unstable; urgency=medium

  * 16_egrep-a: Use "egrep -a" to work around problems with grep seeing a
    wrong charset as binary (solves Ubuntu #1585107).
  * 17_Behaelter: Fix typo: s/Behalter/Behälter/ s/äußester/äußerster/ and
    add parentheses (Closes: #828045).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 25 Jun 2016 13:09:07 +0200

ding (1.8-5) unstable; urgency=medium

  * 15_Korollar: Fix gender of Korollar (Closes: #819955).
  * Update to Standards-Version 3.9.8 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 08 Apr 2016 16:15:59 +0200

ding (1.8-4) unstable; urgency=medium

  * 14_no_strip_UTF-8: Do not strip off .UTF-8 from LANG variable, since
    this causes problems with grep (Closes: #815065).
  * Update to Standards-Version 3.9.7 (no changes).
  * Add -p to QUILT_DIFF_OPTS.
  * Fix image path in html documentation (Closes: #812180).
  * Run wrap-and-sort.
  * Move upstream documentation to debian/html in source package.
  * Remove debian/conv.py, which is no longer used.
  * Update debian/copyright.
  * Install ding.png to 32x32 icons directory.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 19 Feb 2016 11:20:59 +0100
