=== debian/watch ===
version=3
https://ftp.tu-chemnitz.de/pub/Local/urz/ding/ding-(.*)\.tar.gz debian uupdate
