## ding 1.9

=== debian/changelog ===
ding (1.9-9) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.7.2.
  * Update years of packaging copyright.
  * Drop unneeded version constraints from (build) dependencies.
  * 21_de-en-devel: Update to devel version (2025-02-28) of de-en dict.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 01 Mar 2025 13:50:11 +0100

ding (1.9-8) unstable; urgency=medium

  * Update copyright in debian/rules.
  * 21_de-en-devel: Update to devel version (2024-10-25) of de-en dict.
  * Update to Standards-Version 4.7.0 (no changes).
  * upstream/metadata: webservice moved, reference deleted.
  * Update debian/salsa-ci.yml.
  * debian/control: glimpse replaced agrep, tre-agrep is no longer
    preferred, upstream site has changed.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 26 Oct 2024 11:22:12 +0200

ding (1.9-7) unstable; urgency=medium

  * 21_de-en-devel: Update to devel version (2023-04-13) of de-en dict.
  * Recommends agrep | glimpse now instead of the slower tre-agrep
    (Closes: #1051544).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 13 Sep 2023 17:42:51 +0200

ding (1.9-6) unstable; urgency=medium

  * Remove bsdmainutils alternative from Build-Depends.
  * 21_de-en-devel: Update to devel version (2023-01-30) of de-en
    dictionary.  This fixes typo in "bone tumor" (Closes: #1029963).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 01 Feb 2023 17:49:56 +0100

ding (1.9-5) unstable; urgency=medium

  * Update to Standards-Version 4.6.2 (no changes).
  * 21_de-en-devel: Update to devel version (2022-12-14) of de-en
    dictionary.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 30 Dec 2022 13:43:16 +0100

ding (1.9-4) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * debian/control: update Build-Depends for cross builds.
  * Update to Standards-Version 4.6.1 (no changes).
  * 21_de-en-devel: Import devel version (2022-09-07) of de-en dictionary.
  * Update dictd-dictionary description.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on dictfmt.
    + ding: Drop versioned constraint on trans-de-en in Recommends.
    + ding: Drop versioned constraint on trans-de-en in Breaks.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 09 Dec 2022 15:56:01 +0100

ding (1.9-3) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Update to Standards-Version 4.6.0 (no changes).
  * Use "command -v" instead of deprecated "which" in maintainer scripts.

  [ Debian Janitor ]
  * Remove duplicate values for fields Reference, Reference in
    debian/upstream/metadata.
  * Remove constraints unnecessary since buster:
    + dict-de-en: Drop versioned constraint on dictd in Breaks.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 26 Aug 2021 20:50:24 +0200

ding (1.9-2) unstable; urgency=medium

  * Recommends glimpse (>=4.18.7-6) as an alternative to agrep now.
  * 20_tre-agrep: prefer agrep over tre-agrep.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 17 Jan 2021 12:46:55 +0100

ding (1.9-1) unstable; urgency=medium

  * New upstream version 1.9.
  * Adapt all patches to new upstream version.
  * The following patches are now incorporated upstream:
    01_ispell_dirname, 07_8bit_aspell, 08_de-en-devel, 11_desktop_file,
    12_dont_set_locale, 14_no_strip_UTF-8, 16_egrep-a.
  * Update standards version to 4.5.1, no changes needed.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 10 Jan 2021 18:53:55 +0100

ding (1.8.1-10) unstable; urgency=medium

  * Recode documentation to UTF-8.
  * 08_de-en-devel: Import devel version (2020-08-27) of de-en dictionary.
    This supersedes: 09_seperation, 13_Gie0erei, 17_Behaelter,
    18_changeable, 21_Primarschule, 22_Stegreif, 23_Verlaengerung,
    24_vornehmen, 25_management, 26_Mannschaftskollegin (Closes: #972660).
  * Add debian/upstream/metadata.
  * Add Forwarded headers to all patches.
  * Add lintian-overrides: upstream-metadata-missing-repository, since no
    repository exists upstream.
  * Write dictionary version to dictd dictionaries and adapt tests/dictd
    accordingly.
  * Add more typos to tests/typos.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 23 Oct 2020 14:04:59 +0200

ding (1.8.1-9) unstable; urgency=medium

  * 26_Mannschaftskollegin: Fix two typos in Mannschaftskollegin(nen)
    (Closes: #939603).
  * Update standards version to 4.5.0, no changes needed.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * Update debian/watch to version=4 and optimize regex.
  * Build-Depends-Indep: bsdextrautils (>= 2.35.2-3)|bsdmainutils (<<12.1.1)
    because col was moved (Closes: #963427).
  * Update to debhelper 13.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 21 Jun 2020 23:38:56 +0200
