=== debian/control ===
Source: ding
Maintainer: Roland Rosenfeld <roland@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13),
               imagemagick
Build-Depends-Indep: bsdextrautils,
                     dictfmt:native,
                     dictzip:native,
                     man-db
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/ding
Vcs-Git: https://salsa.debian.org/debian/ding.git
Homepage: https://www-user.tu-chemnitz.de/~fri/ding/
Rules-Requires-Root: no

Package: ding
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         tk
Recommends: glimpse,
            trans-de-en | translation-dictionary
Suggests: dict,
          hunspell,
          hunspell-de-de,
          hunspell-en-us
Description: Graphical dictionary lookup program for Unix (Tk)
 This is "Ding"
  * a dictionary lookup program for Unix,
  * DIctionary Nice Grep,
  * a Tk based Front-End to [ae]grep, (hun|a|i)spell, dict, ...
  * Ding {n} :: thing
 .
 This package needs agrep(1) or egrep(1) as a back end.  agrep is
 preferable, because it supports fault tolerant searching.
 .
 You have to install some translation dictionary word list with a
 word/phrase in two languages in one line with some kind of separator
 between them.  The default configuration of ding uses the
 German-English dictionary which can be found in the trans-de-en
 package, but you can use every other translation word lists with one
 entry per line.

Package: trans-de-en
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: ding
Provides: translation-dictionary
Description: German-English translation dictionary
 A German-English dictionary with ca. 380,000 entries.
 .
 This dictionary was designed for the "ding" dictionary lookup
 program, but may be used by other clients, too.
 .
 The source of the database is available from BEOLINGUS
 https://ftp.tu-chemnitz.de/pub/Local/urz/ding/

Package: dict-de-en
Architecture: all
Depends: ${misc:Depends}
Suggests: dict | dict-client,
          dictd | dict-server
Provides: dictd-dictionary
Description: German-English translation dictionary for dictd
 German-English and  English-Deutsch translation dictionary for
 the dictd server.  It contains approximately 380,000 entries.
 .
 The source of the database is available from BEOLINGUS
 https://ftp.tu-chemnitz.de/pub/Local/urz/ding/
