=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2019 Roland Rosenfeld <roland@debian.org>, based on
-# Sample debian/rules that uses debhelper.
-# This file is public domain software, originally written by Joey Hess.
-#
-# This version is for packages that are architecture independent.
+# (C) 1999-2024 Roland Rosenfeld <roland@debian.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -12,6 +8,7 @@
 DINGDIR=`pwd`/debian/ding
 TRANSDIR=`pwd`/debian/trans-de-en
 DICTDIR=`pwd`/debian/dict-de-en
+DICTVERSION:=$(shell sed 's/^.*:: //;1q' de-en.txt)
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -24,13 +21,13 @@
 	./debian/conv.pl < de-en.txt \
 	    | dictfmt -j --utf8 --without-time \
 		-u 'https://dict.tu-chemnitz.de/' \
-		-s "German - English Dictionary $(DEB_VERSION_UPSTREAM)" \
+		-s "German - English Dictionary $(DICTVERSION)" \
 		german-english
 	dictzip german-english.dict
 	./debian/conv.pl -r < de-en.txt \
 	    | dictfmt -j --utf8 --without-time \
 		-u 'https://dict.tu-chemnitz.de/' \
-		-s "English - German Dictionary $(DEB_VERSION_UPSTREAM)" \
+		-s "English - German Dictionary $(DICTVERSION)" \
 		english-german
 	dictzip english-german.dict
