=== debian/tests/control ===
Tests: txtmanpage
Depends: ding

Tests: desktop-file-validate
Depends: desktop-file-utils, ding

Tests: dictd
Depends: dict, dict-de-en, dictd, dpkg-dev

Tests: typos
Depends: trans-de-en
