=== debian/watch ===
version=4
https://ftp.tu-chemnitz.de/pub/Local/urz/ding/ding@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
